section {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: flex-start;
  align-content: space-around;
  .card {
    img {
      padding: 20px;
      border-radius: 30px;
    }
    .fas {
      color: orange;
    }
  }
  div.card-body p.card-text-summary {
    height: 100px;
    line-height: 20px;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -moz-box-orient: vertical;
    -ms-box-orient: vertical;
    box-orient: vertical;
    -webkit-line-clamp: 5;
    -moz-line-clamp: 5;
    -ms-line-clamp: 5;
    line-clamp: 5;
    text-align: justify;
  }
}

/*---------- general ----------*/
body {
  background: #ff7070;
  color: #f3fcf0;
  font-family: sans-serif;
  text-align: center;
}

/*---------- star rating ----------*/
%flex-display {
  display: flex;
}
.star-rating {
  @extend %flex-display;
  align-items: center;
  font-size: 3em;
  justify-content: center;
  margin-top: 50px;
}
.back-stars {
  @extend %flex-display;
  color: #bb5252;
  position: relative;
  text-shadow: 4px 4px 10px #843a3a;
}
.front-stars {
  @extend %flex-display;
  color: #ffbc0b;
  overflow: hidden;
  position: absolute;
  text-shadow: 2px 2px 5px #d29b09;
  top: 0;
}
